## org.apache.mahout.classifier.df.tools
Class ForestVisualizer

    java.lang.Object
      org.apache.mahout.classifier.df.tools.ForestVisualizer

    public final class ForestVisualizer

extends Object

This tool is to visualize the Decision Forest

Method Summary
`static void` `main(String[] args)`
`static void` `print(String forestPath, String datasetPath, String[] attrNames)` Print Decision Forest
`static String` `toString(DecisionForest forest, Dataset dataset, String[] attrNames)`
`static String` `toString(String forestPath, String datasetPath, String[] attrNames)` Decision Forest to String

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toString

    public static String toString(DecisionForest forest,
                                  Dataset dataset,
                                  String[] attrNames)

### toString

    public static String toString(String forestPath,
                                  String datasetPath,
                                  String[] attrNames)
                           throws IOException

  Decision Forest to String

  Parameters:
    `forestPath` - path to the Decision Forest
    `datasetPath` - dataset path
    `attrNames` - attribute names
  Throws:
    `IOException`

### print

    public static void print(String forestPath,
                             String datasetPath,
                             String[] attrNames)
                      throws IOException

  Print Decision Forest

  Parameters:
    `forestPath` - path to the Decision Forest
    `datasetPath` - dataset path
    `attrNames` - attribute names
  Throws:
    `IOException`

### main

    public static void main(String[] args)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.